Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.services.registry
Interface Registry

All Known Subinterfaces:
  RegistryInterceptor

All Known Implementing Classes:
  AbstractRegistryInterceptor

    public interface Registry

Registry interface for the ESB.

Author:
  Kurt Stam

Method Summary
`java.util.List<java.lang.String>` | `findAllServices()` Find all Services assigned to the Red Hat/JBossESB organization.
`EPR` | `findEPR(java.lang.String serviceCategoryName, java.lang.String serviceName)` Returns the first EPR in the list that belong to a specific category and service combination.
`java.util.List<EPR>` | `findEPRs(java.lang.String serviceCategoryName, java.lang.String serviceName)` Finds all the EPRs that belong to a specific category and service combination.
`java.util.List<java.lang.String>` | `findServices(java.lang.String serviceCategoryName)` Find all services that belong to the supplied category.
`void` | `registerEPR(java.lang.String serviceCategoryName, java.lang.String serviceName, java.lang.String serviceDescription, EPR epr, java.lang.String eprDescription)` Registers an EPR under the specified category and service.
`void` | `unRegisterEPR(java.lang.String serviceCategoryName, java.lang.String serviceName, EPR epr)` Removes an EPR from the Registry.
`void` | `unRegisterService(java.lang.String category, java.lang.String serviceName)` Removes a service from the Registry along with all the ServiceBindings underneath it.

Method Detail

### unRegisterService

    void unRegisterService(java.lang.String category,
                           java.lang.String serviceName)
                           throws RegistryException,
                                  ServiceNotFoundException

  Removes a service from the Registry along with all the ServiceBindings underneath it.

  Parameters:
    `category` - - name of the service category, for example 'transformation'.
    `serviceName` - - name of the service, for example 'smooks'.
  Throws:
    `RegistryException`
    `ServiceNotFoundException`

### registerEPR

    void registerEPR(java.lang.String serviceCategoryName,
                     java.lang.String serviceName,
                     java.lang.String serviceDescription,
                     EPR epr,
                     java.lang.String eprDescription)
                     throws RegistryException

  Registers an EPR under the specified category and service. If the specified service does not exist, it will be created at the same time.

  Parameters:
    `serviceCategoryName` - - name of the category to which the service belongs.
    `serviceName` - - name of the service to which the EPS belongs.
    `serviceDescription` - - human readable description of the service, only used when it the service does not yet exist.
    `epr` - - the EndPointReference (EPR) that needs to be registered.
    `eprDescription` - - human readable description of the EPR
  Throws:
    `RegistryException`

### unRegisterEPR

    void unRegisterEPR(java.lang.String serviceCategoryName,
                       java.lang.String serviceName,
                       EPR epr)
                       throws RegistryException,
                              ServiceNotFoundException

  Removes an EPR from the Registry.

  Parameters:
    `serviceCategoryName` - - name of the category to which the service belongs.
    `serviceName` - - name of the service to which the EPS belongs.
    `epr` - - the EndPointReference (EPR) that needs to be unregistered.
  Throws:
    `RegistryException`
    `ServiceNotFoundException`

### findAllServices

    java.util.List<java.lang.String> findAllServices()
                                                     throws RegistryException

  Find all Services assigned to the Red Hat/JBossESB organization.

  Returns:
    Collection of Strings containing the service names.
  Throws:
    `RegistryException`

### findServices

    java.util.List<java.lang.String> findServices(java.lang.String serviceCategoryName)
                                                  throws RegistryException

  Find all services that belong to the supplied category.

  Parameters:
    `serviceCategoryName` - - name of the category to which the service belongs.
  Returns:
    Collection of Strings containing the service names
  Throws:
    `RegistryException`

### findEPRs

    java.util.List<EPR> findEPRs(java.lang.String serviceCategoryName,
                                 java.lang.String serviceName)
                                 throws RegistryException,
                                        ServiceNotFoundException

  Finds all the EPRs that belong to a specific category and service combination.

  Parameters:
    `serviceCategoryName` - - name of the category to which the service belongs.
    `serviceName` - - name of the service to which the EPS belongs.
  Returns:
    Collection of EPRs.
  Throws:
    `RegistryException`
    `ServiceNotFoundException`

### findEPR

    EPR findEPR(java.lang.String serviceCategoryName,
                java.lang.String serviceName)
                throws RegistryException,
                       ServiceNotFoundException

  Returns the first EPR in the list that belong to a specific category and service combination.

  Parameters:
    `serviceCategoryName` - - name of the category to which the service belongs.
    `serviceName` - - name of the service to which the EPS belongs.
  Returns:
    EPR.
  Throws:
    `RegistryException`
    `ServiceNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD